Subject: Re: [PATCH] wifi: mt76: un-embedd netdev from mt76_dev

From: Breno Leitao <[email-masked]>
Date: Mon, 17 Jun 2024 02:22:23 -0700

Hello Kalle,

On Mon, Jun 17, 2024 at 12:03:49PM +0300, Kalle Valo wrote:
> Breno Leitao <[email-masked]> writes:
> 
> > Embedding net_device into structures prohibits the usage of flexible
> > arrays in the net_device structure. For more details, see the discussion
> > at [1].
> >
> > Un-embed the net_devices from struct mt76_dev by converting them
> > into pointers, and allocating them dynamically. Use the leverage
> > alloc_netdev_dummy() to allocate the net_device object at
> > mt76_dma_init().
> >
> > The free of the device occurs at mt76_dma_cleanup().
> >
> > Link: https://lore.kernel.org/all/[email-masked]/ [1]
> > Signed-off-by: Breno Leitao <[email-masked]>
> > ---
> >
> > PS: Due to the lack of hardware, this patch was not tested on a real
> > hardware, unfortunately.
> >
> > PS2: this is the last driver that is still using embedded netdevices.
> 
> Is this patch a dependency to other patches? I'm asking because it will
> be _slow_ to get this patch to net-next via wireless trees. If there's
> urgency then it's much better to take it directly to net-next (of course
> with acks from Felix and Lorenzo).

Since this is the last patch for the whole flexible netdev work, I would
prefer to have it through net-next then, so, we finish the whole work
sooner rather than later.

I will prepare a v2 with Simon's suggestion, and I can target net-next.
I am just waiting a bit more to hear from Felix and Lorenzo.

Thanks!